Subject: Re: bug#32252: [PATCH] %o and %x now format signed numbers

From: Brett Gilio <[email-masked]>
Date: Wed, 25 Jul 2018 18:33:34 -0500

Paul Eggert writes:
> I don't know what inconsistent behavior would make sense here. 
> There's a
> longstanding tradition in Lisp that integer arithmetic just 
> works, and I don't
> see why Emacs would want to fight against that tradition here. 
> Although there
> may be some low-level functions that distinguish between fixnums 
> and bignums for
> efficiency reasons, the vast majority of Lisp functions should 
> not distinguish
> them, and 'format' should be one of those functions.
>> Maybe we should merge the branch first, let the dust settle and 
>> let
>> people use the new functionality, then revisit this stuff with 
>> more
>> experience on our hands.

Paul, I agree with you here. However, I wonder what you mean by 
"just
works" in contrast to what Eli suggested about the inconsistency 
in
behavior between the different function definitions for fixnums 
and
bignums.

How would that be working against the lisp tradition?

-- 
Brett M. Gilio
Free Software Foundation, Member
https://parabola.nu | https://emacs.org